var emrErrorMessageEnabled = false;

function setEmrErrorMessageEnabled(val) {
    emrErrorMessageEnabled = val;
}

function getEmrErrorMessageEnabled() {
    return emrErrorMessageEnabled;
}

function shimExecutorsPage() {
    var shimFunction = function() {
        $('#active-executors-table_wrapper > .row:nth-child(1)').after(
            '<div id="emr-error-message" class="row"></div>');
    };
    renderEmrErrorMessage(shimFunction);
}

function shimStagePage() {
    var shimFunction = function() {
        $("#tasksTitle").after("<div id='emr-error-message' class='info-message'></div>");
    };
    renderEmrErrorMessage(shimFunction);
}

function renderEmrErrorMessage(shimFunction) {
    if (getEmrErrorMessageEnabled()) {
        shimFunction.call();
        var selector = $("#emr-error-message");
        selector.addClass("info-message");
        selector.html('<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" focusable="false">' +
            '<circle class="stroke-linejoin-round" cx="8" cy="8" r="7"></circle>' +
            '<path d="M8 11V8H6"></path><path class="stroke-linejoin-round" d="M10 11H6"></path>' +
            '<path d="M7.99 5H8v.01h-.01z"></path></svg>' +
            '<span> To view or download stdout and stderr logs, you must launch your cluster with logging enabled. </span>' +
            '<a href="https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-plan-debugging.html">Learn More</a>');
    }
}

document.addEventListener('SparkExecutorsPageLoaded', shimExecutorsPage);
document.addEventListener('SparkStagePageLoaded', shimStagePage);
